/* v1.0 // backend-mod/css/_form-controls.css */
/* so that date and timepicker aren't displayed greyed out */
.xcms_datepicker.picker__input,
.xcms_timepicker.picker__input {
  background-color: inherit;
  cursor: text;
}
/* so that tinymce is greyed out when disabled */
.wysiwyg_readonly {
  opacity: 0.5;
}
/* so that on mouseover of tinymce the cursor shows a not-allowed icon */
.wysiwyg_readonly,
.wysiwyg_readonly * {
  cursor: not-allowed !important;
}
/* styles regarding the Image form control */
.xcms_img {
  width: 100%;
  border: 1px solid #ccc;
  padding: 1px;
  cursor: pointer;
  max-width: 300px;
}
.disabled .xcms_img {
  cursor: default !important;
}
.imgtools button {
  margin-top: 15px;
}
.imgtools {
  float: right;
  white-space: nowrap;
}
/* styles regarding the Images form control */
.xcms_images_thumbnails {
  padding-right: 0;
  padding-left: 0;
}
.xcms_images_thumbnails .xcms_imgadd_container,
.xcms_filesadd_container {
  margin-left: 0 !important;
  margin-bottom: 5px;
  margin-top: 5px;
  position: relative;
}

.xcms_images_thumbnails .xcms_imgadd {
  display: block;
  width: 100%;
  position: relative;
  background-color: transparent;
  border: none;
  outline: solid 1px #ccc;
  color: #666666;
  padding: 0;
}


.xcms_files_rowscontainer {
  margin: 0 15px 15px 15px;
}

.xcms_files_row {
  border-bottom: 1px solid #cccccc;
  padding: 8px 0;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  margin-bottom: -1px;
}

.xcms_files_firstcol {
  display: flex;
  justify-content: start;
  align-items: center;
}

.xcms_files_title, .xcms_files_description {
  margin: 8px 0;
}


.xcms_sort_placeholder {
  background-color: #f2f2f2;
  width: 100%;
  height: 62px;


}

.xcms_files_sorthandle {
  cursor:grab;
  margin-right: 30px;
}

.xcms_files_sorthandle:active  {
  cursor:grabbing;
}

.xcms_images_thumbnails .xcms_imgadd:hover,
.xcms_images_thumbnails .xcms_imgadd:focus {
  outline: solid 1px #adadad;
  color: #333;
  /* background-color: darken(#ffffff, 10%); */
}
.xcms_images_thumbnails .xcms_imgadd:before {
  content: "";
  display: block;
  padding-top: 100%;
  width: 1px;
  float: left;
}
.xcms_images_thumbnails .xcms_imgadd span {
  position: relative;
  line-height: 26px;
  font-size: 3rem;
  margin-top: 50%;
  top: -13px;
}
@media (max-width: 767px) {
  .xcms_images_thumbnails .xcms_imgadd span {
    font-size: 1.3rem;
    line-height: 20px;
    top: -10px;
  }
}
.xcms_images_thumb {
  position: relative;
  margin-bottom: 5px;
  margin-top: 5px;
}
.xcms_images_thumb.new {
  position: relative;
  top: 1px;
  display: inline-block;
  font-family: 'Glyphicons Halflings';
  font-style: normal;
  font-weight: normal;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
.xcms_images_thumb.new:before {
  content: "\e174";
}
.xcms_images_thumb.changed {
  position: relative;
  top: 1px;
  display: inline-block;
  font-family: 'Glyphicons Halflings';
  font-style: normal;
  font-weight: normal;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
.xcms_images_thumb.changed:before {
  content: "\e174";
}
.xcms_images_thumb.changed:before,
.xcms_images_thumb.new:before {
  position: absolute;
  right: 15px;
  top: 0;
  width: 20px;
  height: 20px;
  background-color: #B43404;
  color: #ffffff;
  text-align: center;
  line-height: 20px;
  vertical-align: middle;
}
.xcms_images_thumb img {
  width: 100%;
  outline: 1px solid #dddddd;
  padding: 2px;
  cursor: pointer;
}
.xcms_images_thumb.ui-sortable-helper img {
  outline: none;
}
.xcms_images_thumb.placeholder {
  margin-left: 0 !important;
  position: relative;
}
.xcms_images_thumb.placeholder:before {
  content: "";
  display: block;
  padding-top: 100%;
  /* initial ratio of 1:1*/
  background-color: #fdfdfd;
  outline: dashed #cccccc 2px;
}
/* this is the arrow pointing to the thumbnail when it's details are shown */
.xcms_images_thumb.active:after {
  content: "";
  position: absolute;
  bottom: -14px;
  left: 50%;
  margin-left: -12px;
  border-bottom: 12px solid #2f2f2f;
  border-left: 12px solid transparent;
  border-right: 12px solid transparent;
  height: 0;
  width: 0;
}
.xcms_images_thumb.active img {
  outline: 1px solid #2f2f2f;
}
.xcms_images_thumb_detail {
  display: none;
}
.xcms_images_thumb_detail .header {
  margin-bottom: 15px;
}
.xcms_images_thumb_detail .close {
  color: #ffffff;
  text-shadow: 0 1px 0 #000000;
}
.xcms_images_thumb_detail.active {
  display: block;
}
.xcms_images_thumb_detail .bg {
  background-color: #2f2f2f;
  margin-top: 8px;
  border-radius: 4px;
  padding: 15px;
  color: #eeeeee;
}
.xcms_images_thumb_detail img.preview {
  width: 100%;
}
.form-group.dirty .xcms_images_thumb_detail label::after {
  /* inside the detail container we don't want to display the dirty symbol */
  content: "";
}


button.btn.btn-danger.btn-sm.xcms_files_delete {
    margin-left: 15px;
    font-size: 12px;
    padding: 3px 5px 2px 4px;
    margin-top: 5px;
}

.btn-danger {
  background-color: var(--red-gb);
  border-color: var(--red-gb);
}

.btn-secondary {
  background-color: var(--blue-bg);
  border-color: var(--blue-bg);
  color: var(--text-color-white);
}
/* v1.0 // backend-mod/css/_form-controls.css */